Bug 800763 - New storage dialogue complains about empty field but should complain about duplicate name
New storage dialogue complains about empty field but should complain about du...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
x86_64 Linux
low Severity low
: ---
: 3.1
Assigned To: Tal Nisan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 02:55 EST by Jakub Libosvar
Modified: 2016-02-10 11:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:02:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Libosvar 2012-03-07 02:55:37 EST
Description of problem:
When user confirms creating new domain from new storage domain dialogue but leaves the name field empty, dialogue highlights this field with proper error message - which is good. But after name that already exists in ovirt has been written, dialogue still complains about empty field. It should complain about the name that already exists in ovirt.

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-3.0.0_0001-3.git4364f1b.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create storage domain
2. Start creating another storage domain and leave the name empty
3. After dialogue starts complaining about empty name field, write there name of SD from step 1
  
Actual results:
Dialogue complains about empty field

Expected results:
Dialogue complains about duplicate name 

Additional info:
Comment 1 Itamar Heim 2012-08-09 04:02:11 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/
Comment 2 Itamar Heim 2012-08-09 04:03:31 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.